% function y = D2(ea)
% rotation matrix elements follows the spherical tensor 
% operators note (page 16) by B. Meier
% spatial components must be a row vector and multipled from left
% Z. Gan April 5, 2001

function y = D2(ea)

c=cos(ea(2));	s=sin(ea(2));
	
d22=(1+c)^2/4; 		d12=(1+c)*s/2;			d11=c*c-(1-c)/2;	
d02=sqrt(3/8)*s*s;	d01=sqrt(3/2)*c*s;	d00=(3*c*c-1)/2;
dm12=(1-c)*s/2;		dm11=(1+c)/2-c*c;		dm22=(1-c)^2/4;

y=[d22 -d12 d02 -dm12 dm22;
   d12 d11 -d01 dm11 -dm12;
   d02 d01  d00 -d01 d02;
   dm12 dm11 d01 d11 -d12;
   dm22 dm12 d02 d12 d22;];

a=exp(i*ea(1));	a=[(a*a)'; a'; 1; a; a*a];
g=exp(i*ea(3));	g=[(g*g)' g' 1 g g*g];

y=y.*(a*g);


