% function tl=er(tm,ea) 
% 	transformation of cartisian tensor or vector under Euler rotation
% 		tm = cartisian tensor or vector in molecular frame
% 		ea = vector containing three euler angles in radient 
%		     which bring the mf to lf
% 		tl = cartisian tensor or vector in lab frame
% 	for definition, see Richard Ernst's lecture note
% 	Zhehong Gan, Copyright, Oct. 23, 1998

function tl=er(tm,ea)
a=ea(1);	b=ea(2);	g=ea(3);
ra=[cos(a)	sin(a)	0;
   -sin(a)	cos(a)	0;
     0		  0 	1];
rb=[cos(b)	0	-sin(b);
     0		1	   0;
    sin(b)	0	cos(b)];
rg=[cos(g)	sin(g)	0;
   -sin(g)	cos(g)	0;
     0		  0 	1];
if size(tm)==[3 3]
tl=rg*rb*ra*tm*ra'*rb'*rg';
elseif size(tm)==[3 1]
tl=rg*rb*ra*tm;
elseif size(tm)==[1 3]
tl=tm*ra'*rb'*rg';
end
if nargin < 2 tl=rg*rb*ra; end

