% function fid=ex(a,m,t)
% 	it calculates time domain signal of n-site exchange
%  		a =i*w+k (nXn matrix)
%			w = resonance frequency matrix
%			k = exchange rate matrix
%  		m = equlibrium population (nX1 column vector)
%  		t = sampling time (nX1 column vector)
%  		fid = resulting fid (nX1 column vector)
%  Copyright Zhehong Gan, Oct. 23, 1998

function fid=ex(a,m,t);
[r e]=eig(a);
fid=(sum(r*diag(inv(r)*m,0)*exp(diag(e)*t')))';
