% function data = sb(fid,phi0,m180)
%	fid:	1D or 2D data
%	phi0:	phase in degree at the first point	
%	m180:	# of point at phi=180
%	data:	with sinebell multiplication along columns
  function data = sb(fid,phi0,m180)
  [m n]=size(fid);
  win=zeros(m,1);
  if (m180>=m)
  win=sin((phi0+(0:1:m-1)'/(m180-1)*(180-phi0))*pi/180);
  else
  win(1:m180)=sin((phi0+(0:1:m180-1)'/(m180-1)*(180-phi0))*pi/180);
  end
  data=fid.*(win*ones(1,n));
