function sps=shear(sp,r,rdw,win1,win2)
% function sps=shear(sp,r,rdw)
%
% Orthogonal spectral shearing to obtain undistorted 2D isotropic 
% spectrum along w1 (y axis and coloumn)
%
%	sp:	unsheared spectrum
%	r:	slope of unsheared spectrum
% 	rdw:	ratio of dwell times dw1/dw2
%  win1 window function along t1
%  win2 window function along t1
% 	sps:	sheared spectrum

[m n]=size(sp);
if nargin < 4 win1=ones(m,1); win2=ones(n,1);  end
if nargin < 5 win2=ones(n,1);  end
win1=zf(win1,m/2+1); win1=[win1(1:m/2); flipud(win1(2:(m/2+1)))]*ones(1,n);;
win2=zf(win2,n/2+1); win2=[win2(1:n/2); flipud(win2(2:(n/2+1)))]*ones(1,m);

t1=[-m/2:m/2-1];	t2=[-n/2:n/2-1];
sps=fft(ifft(sp).*exp(-i*2*pi*swap(t1')*t2*r*rdw/n).*win1);
%sps=(fft(ifft(sps').*exp(i*2*pi*swap(t2')*t1*r/rdw/m).*win2))';


